package im.zhaojun.system.model;

import com.fasterxml.jackson.annotation.JsonIgnore;

public class Traffic {
    private Long id;
    private String Type;
    private ObjectBoundingBox ObjectBoundingBox;
    private String VehicleClass;
    private String VehicleColorNums;
    private String VehicleColor;
    private String  VehicleBrand;
    private String mainBrandName;
    private String subBrandName;
    private String yearName;
    private String HasPlate;
    private String PlateClass;
    private String PlateColor;
    private String PlateNo;
    private String PlateNeatness;
    private String Angle;
    private String Sunvisor;
    private String Paper;
    private String Decoration;
    private String Drop;
    private String Tag;
    private SafetyBelt SafetyBelt;
    private String HasCall;
    private String HasCrash;
    private String HasDanger;
    private String HasSkylight;
    private String HasBaggage;
    private String HasAerial;

    public void setType(String Type) {
        this.Type = Type;
    }

    public String getType() {
        return Type;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setObjectBoundingBox(ObjectBoundingBox ObjectBoundingBox) {
        this.ObjectBoundingBox = ObjectBoundingBox;
    }

    public ObjectBoundingBox getObjectBoundingBox() {
        return ObjectBoundingBox;
    }

    public void setVehicleClass(String VehicleClass) {
        this.VehicleClass = VehicleClass;
    }

    public String getVehicleClass() {
        return VehicleClass;
    }

    public void setVehicleColorNums(String VehicleColorNums) {
        this.VehicleColorNums = VehicleColorNums;
    }

    public String getVehicleColorNums() {
        return VehicleColorNums;
    }


    public void setMainBrandName(String mainBrandName) {
        this.mainBrandName = mainBrandName;
    }

    public String getMainBrandName() {
        return mainBrandName;
    }

    public void setSubBrandName(String subBrandName) {
        this.subBrandName = subBrandName;
    }

    public String getSubBrandName() {
        return subBrandName;
    }

    public void setYearName(String yearName) {
        this.yearName = yearName;
    }

    public String getYearName() {
        return yearName;
    }

    public void setHasPlate(String HasPlate) {
        this.HasPlate = HasPlate;
    }

    public String getHasPlate() {
        return HasPlate;
    }

    public void setPlateClass(String PlateClass) {
        this.PlateClass = PlateClass;
    }

    public String getPlateClass() {
        return PlateClass;
    }

    public void setPlateColor(String PlateColor) {
        this.PlateColor = PlateColor;
    }

    public String getPlateColor() {
        return PlateColor;
    }

    public void setPlateNo(String PlateNo) {
        this.PlateNo = PlateNo;
    }

    public String getPlateNo() {
        return PlateNo;
    }

    public void setPlateNeatness(String PlateNeatness) {
        this.PlateNeatness = PlateNeatness;
    }

    public String getPlateNeatness() {
        return PlateNeatness;
    }

    public void setAngle(String Angle) {
        this.Angle = Angle;
    }

    public String getAngle() {
        return Angle;
    }

    public void setSunvisor(String Sunvisor) {
        this.Sunvisor = Sunvisor;
    }

    public String getSunvisor() {
        return Sunvisor;
    }

    public void setPaper(String Paper) {
        this.Paper = Paper;
    }

    public String getPaper() {
        return Paper;
    }

    public void setDecoration(String Decoration) {
        this.Decoration = Decoration;
    }

    public String getDecoration() {
        return Decoration;
    }

    public void setDrop(String Drop) {
        this.Drop = Drop;
    }

    public String getDrop() {
        return Drop;
    }

    public void setTag(String Tag) {
        this.Tag = Tag;
    }

    public String getTag() {
        return Tag;
    }

    public void setSafetyBelt(SafetyBelt SafetyBelt) {
        this.SafetyBelt = SafetyBelt;
    }

    public SafetyBelt getSafetyBelt() {
        return SafetyBelt;
    }

    public void setHasCall(String HasCall) {
        this.HasCall = HasCall;
    }

    public String getHasCall() {
        return HasCall;
    }

    public void setHasCrash(String HasCrash) {
        this.HasCrash = HasCrash;
    }

    public String getHasCrash() {
        return HasCrash;
    }

    public void setHasDanger(String HasDanger) {
        this.HasDanger = HasDanger;
    }

    public String getHasDanger() {
        return HasDanger;
    }

    public void setHasSkylight(String HasSkylight) {
        this.HasSkylight = HasSkylight;
    }

    public String getHasSkylight() {
        return HasSkylight;
    }

    public void setHasBaggage(String HasBaggage) {
        this.HasBaggage = HasBaggage;
    }

    public String getHasBaggage() {
        return HasBaggage;
    }

    public void setHasAerial(String HasAerial) {
        this.HasAerial = HasAerial;
    }

    public String getHasAerial() {
        return HasAerial;
    }

    public String getVehicleColor() {
        return VehicleColor;
    }

    public void setVehicleColor(String vehicleColor) {
        VehicleColor = vehicleColor;
    }

    public String getVehicleBrand() {
        return VehicleBrand;
    }

    public void setVehicleBrand(String vehicleBrand) {
        VehicleBrand = vehicleBrand;
    }
}
